Skip to main content
POST
Create a container custom field
Creates or updates a custom field on a container. If a custom field with the specified api_slug already exists, it will be updated.

Path parameters

Request body

Authorization

Requires update permission on the container.

Response

Returns 201 Created with the custom field resource on success.

Behavior

  • Uses find_or_initialize_by internally, so it creates if missing or updates if it exists
  • Values are validated against the definition’s data type
  • For enum fields, values are validated against the definition’s options

Authorizations

Authorization
string
header
required

Token YOUR_API_TOKEN

The APIs require authentication to be done using header-based API Key and Secret Authentication.

API key and secret are sent va the Authorization request header.

You send your API key and secret in the following way:

Authorization: Token YOUR_API_KEY

Path Parameters

container_id
string
required

Container ID

Body

application/json
data
object

Response

201 - application/json

Created

data
Custom field · object